.cm-s-default.CodeMirror {
	line-height: 1.2;
}

.cm-s-default .CodeMirror-gutters {
	background: #4e4e4e;
	border-right: 0px;
}
.cm-s-default .CodeMirror-linenumber {
	color: #dadada;
}
.cm-s-default .CodeMirror-activeline .CodeMirror-linenumber.CodeMirror-gutter-elt {
	background: #8e8e8e;
	color: black;
}

.cm-s-default .CodeMirror-activeline-background {
	background: #e8f2ff;
}

.cm-s-default .cm-comment { color: #555; font-style: italic; }
.cm-s-default .cm-keyword { color: #90a; font-weight: bold; }
.cm-s-default .cm-string { color: #05d; font-weight: bold; }
.cm-s-default .cm-number { color: #05d; font-weight: bold; }
.cm-s-default .cm-variable { color: black; }
.cm-s-default .cm-variable-2 { color: #01a0e4; }
.cm-s-default .cm-meta { color: #b30; font-weight: bold; }
.cm-s-default .cm-operator { color: black; }
.cm-s-default .cm-atom { color: #383; }
.cm-s-default .cm-builtin { color: #077; font-weight: bold; }
.cm-s-default .cm-special { color: #0aa; font-weight: bold; }
.cm-s-default .cm-property { color: #01a252; }
.cm-s-default .cm-attribute { color: #01a252; }
.cm-s-default .cm-def { color: #e8bbd0; }
.cm-s-default .cm-bracket { color: #3a3432; }
.cm-s-default .cm-tag { color: #db2d20;}
.cm-s-default .cm-link { color: #3a3; }
.cm-s-default .cm-error { color: #f00; text-decoration: underline; text-decoration-style: wavy; text-decoration-skip-ink: none; }
.cm-s-default .cm-invalidchar { color: #f00; text-decoration: underline; text-decoration-style: wavy; text-decoration-skip-ink: none; font-weight: bold; }

@media (prefers-color-scheme: dark) {
	.cm-s-default.CodeMirror {
		background: #000000;
		color: #d6d5d4;
	}

	.cm-s-default .CodeMirror-activeline-background {
		background: #1a1a1a;
	}

	.cm-s-default .CodeMirror-selected {
		background: #303040;
	}
	.cm-s-default.CodeMirror-focused .CodeMirror-selected {
		background: #3f3f4f;
	}

	.cm-s-default .CodeMirror-cursor {
		border-left: 1px solid #807d7c;
	}

	.cm-s-default .cm-comment { color: #bbb; }
	.cm-s-default .cm-keyword { color: #e0f; }
	.cm-s-default .cm-string { color: #09f; }
	.cm-s-default .cm-number { color: #09f; }
	.cm-s-default .cm-variable { color: #d6d5d4; }
	.cm-s-default .cm-variable-2 { color: #3fc5f4; }
	.cm-s-default .cm-meta { color: #f70; }
	.cm-s-default .cm-operator { color: #d6d5d4; }
	.cm-s-default .cm-atom { color: #7d7; }
	.cm-s-default .cm-builtin { color: #1bb; }
	.cm-s-default .cm-special {}
	.cm-s-default .cm-property {}
	.cm-s-default .cm-attribute {}
	.cm-s-default .cm-def {}
	.cm-s-default .cm-bracket { color: #d6d5d4; }
	.cm-s-default .cm-tag { color: #eb5d53; }
	.cm-s-default .cm-link {}
	.cm-s-default .cm-error { color: #f55; }
	.cm-s-default .cm-invalidchar { color: #f55; }
}
